apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: matomo
  namespace: monitoring
spec:
  parentRefs:
    - name: vip-240
      sectionName: main
      namespace: istio-system
  hostnames: ["matomo.agepoly.ch", "m.agepoly.ch"]
  rules:
    - matches:
        - path:
            type: PathPrefix
            value: /agepstats
      filters:
        - type: URLRewrite
          urlRewrite:
            path:
              type: ReplacePrefixMatch
              replacePrefixMatch: /matomo.php
      backendRefs:
        - name: matomo
          port: 80
    - matches:
        - path:
            type: PathPrefix
            value: /
      backendRefs:
        - name: matomo
          port: 80
